#=========================================================================================================================
#                                           Alternative Character Settings
#=========================================================================================================================
# Purpose:
#	This properties file is solely for the purpose of Character modifications that directly influence them.
# 
# Note: 
#	The defaults are set to retail, if you modify any of these settings your server will NOT be "retail-like".
# 
# Warning: 
#	Please take extreme caution when changing anything. Also please understand what you change before you do so on
# 	a live server.
#=========================================================================================================================
#============================================================#
#						AccessLevel							 #
#============================================================#
# This option will set the default AccessLevel for MasterAccess
# Pls be carefully with that. Chars with this AccessLevel have
# right to execute every AdminCommand ingame.
# Default = 127 - Max. 255
MasterAccessLevel = 127

# This option will set the Default NameColor for MasterAccess
MasterNameColor = 00FF00

# This option will set the Default TitleColor for MasterAccess
MasterTitleColor = 00FF00

#============================================================#
#                        Statistics                          #
#============================================================#

# This option if enabled will force a character to de-level if 
# the characters' Experience is below their level after losing
# experience on death. If this is set to false, the character 
# will not de-level even if their Experience is below their 
# level after death.
# Retail: true
Delevel = True

# This is a weight limit multiplier, set the default to 1 if you 
# want this option disabled.
# Example:
#		Setting this to 10 will increase a characters weight 
#		capacity 10 times the normal. Say normal is 1000, now 
#		with this option enabled it is 10000.
AltWeightLimit = 1

# This is a run speed modifier, set the default to 0 if you 
# want this option disabled.
# Example:
#		Setting this to 10 will increase a characters running 
#		speed by 10. Say normal is 100, now 
#		with this option enabled it is 110.
RunSpeedBoost = 0

# If killed by a mob, this is the chance that you will get the
# death penalty.
# This value is in percent, to disable this, set it to 0.
# Example:
#		Setting it to 100 will make it a 100% chance you get the penalty.
# Retail: 20
DeathPenaltyChance = 20

# Amount of HP, MP, and CP, which is restored on character revival.
# These values are in percent of max, a value of 100 is 100%.
# Example:
#		If you set the CP to 100, it will restore 100% of the players
#		CP, likewise for the HP and MP.
# Retail: 0, 70, 70
RespawnRestoreCP = 0
RespawnRestoreHP = 70
RespawnRestoreMP = 70

# Percent regeneration from the normal regeneration speed.
# Example:
#		10 for HP will regenerate 90% slower then normal.
# Retail: 100, 100, 100
HpRegenMultiplier = 100
MpRegenMultiplier = 100
CpRegenMultiplier = 100

# Use tiredness (instead of combat points)
# Retail: false
AltGameTiredness = False

#============================================================#
#                      Skills & Effects                      #
#============================================================#

# When this is enabled it will read the config "SkillDurationList"
# This will basically overlook the "time= x" in the skill xml's so that you do
# not need to modify the L2J Datapck XML's to increase skill duration.
# Skill duration list: 
# Format : skillid,newtime;skillid2,newtime2;....
# Example: 
#		This enable 1h(3600) duration for songs, the "\"indicates new line,
#		and is only set for formating purposes.
#		SkillDurationList = 264,3600;265,3600;266,3600;267,3600;268,3600;\
#		269,3600;270,3600;304,3600;305,1200;306,3600;308,3600;349,3600;\
#		363,3600;364,3600
# Retail: false
EnableModifySkillDuration = false
SkillDurationList = 

# Enable to modify skill reuse data
EnableModifySkillReuse = false
# Skill reuse list 
# Format : skillid,newDelayTime;skillid,newDelayTime2....
SkillReuseList = 

# This option is to enable or disable automatic skill learning.
# To enable this option set it to true, and to disable set it to false.
# Retail: false
AutoLearnSkills = False

# This option is to enable or disable automatic herb use (which means auto-pickup herbs).
# To enable this option set it to true, and to disable set it to false.
# Retail: false
AutoLootHerbs = False

# Maximum number of buffs (default = 20 + 4 with divine inspiration skill)
# Retail: 20
maxbuffamount = 20

# This option allows a player to automatically learn Divine Inspiration.
# this is not included in AutoLearnSkills above.
# Retail: false
AutoLearnDivineInspiration = False

# This is to allow a character to be canceled during bow use, skill use, or both.
# The correct settings to set below are: "bow" or "cast" or "all"
# Retail: cast
AltGameCancelByHit = cast

# If True, when effects of the same stack group are used, lesser
# effects will be canceled if stronger effects are used. New effects
# that are added will be canceled if they are of lesser priority to the old one.
# If False, they will not be canceled, and it will switch to them after the
# stronger one runs out, if the lesser one is still in effect.
# Retail: true
CancelLesserEffect = True

# This option if enabled will allow magic to fail, and if disabled
# magic damage will always succeed with a 100% chance.
# Retail: true
MagicFailures = True

# Player Protection from aggressive mobs after getting up from fake death.
# This is in seconds, set this to 0 to disablet his option.
# Retail: 0
PlayerFakeDeathUpProtection = 0

# This option is to enable or disable the storage of buffs/debuffs 
# among other effects.
# To enable, set to true, and to disable, set to false.
# Retail: true
StoreSkillCooltime=True

# These are alternative rules for shields -
# If enabled and they block; 
# the damage is powerAtk-shieldDef,
# otherwise the if false and they block; 
# the damage is powerAttak / (shieldDef + powerDef)
# Retail: false
AltShieldBlocks = False

# This is the rate value for perfect shield block rate.
# Retail: 5
AltPerfectShieldBlockRate = 5

# Allow use of Event Managers for changing occupation without
# any quests needing completion.
# Retail: false
AllowClassMasters = False

# Life crystal needed to learn clan skills
# Retail: true
LifeCrystalNeeded = True

# Spell Book needed to learn skills
# Retail: true
SpBookNeeded = True

# Book needed to enchant skills
# Retail: true
EnchantSkillSpBookNeeded = True

# Alternative skill learn rules:
# - all classes can learn all skills
# - skills of another class costs x2 SP
# - skills of another race costs x2 SP
# - skills of fighters/mages costs x3 SP
# Retail: false
AltGameSkillLearn = False

# Allow player to sub-class addition without checking for unique quest items.
# Retail: false
AltSubClassWithoutQuests = False

#============================================================#
#                          Limits                            #
#============================================================#

# Maximum character running speed.
# Retail: 250
MaxRunSpeed = 250

# Maximum character Physical Critical Rate. (10 = 1%)
# Retail: 500
MaxPCritRate = 500

# Maximum character Magic Critical Rate. (10 = 1%)
# Retail: 300
MaxMCritRate = 300

# Maximum number of allowed subclasses for every player.
# Retail: 3
MaxSubclass = 3

# Maximum number of allowed slots for Private Stores Sell
# Other means all the other races besides Dwarf (they get an extra one).
# Retail: 4, 3
MaxPvtStoreSellSlotsDwarf = 4
MaxPvtStoreSellSlotsOther = 3

# Maximum number of allowed slots for Private Stores Buy
# Other means all the other races besides Dwarf (they get an extra one).
# Retail: 5, 4
MaxPvtStoreBuySlotsDwarf = 5
MaxPvtStoreBuySlotsOther = 4

# This will control the inventory space limit (NOT WEIGHT LIMIT).
# Retail: 80, 100, 250
MaximumSlotsForNoDwarf = 80
MaximumSlotsForDwarf = 100
MaximumSlotsForGMPlayer = 250

# This will control a characters warehouse capacity. 
# Note: 
#		This must be LESS then 300 or the client will crash.
# Retail: 120, 100, 200, 20
MaximumWarehouseSlotsForDwarf = 120
MaximumWarehouseSlotsForNoDwarf = 100
MaximumWarehouseSlotsForClan = 200
MaximumFreightSlots = 20

# Alternate Gaming
# Usage: True  - Restriction enabled
#        False - Restriction disabled
# Castle Shield can be equipped by all clan members if they own a castle.
# Retail: true
CastleShieldRestriction = True

# ClanHall Shield can be equipped by all clan members if they own a clan hall.
# Retail: true
ClanHallShieldRestriction = True

# Apella armors can be equipped only by clan members if their class is Baron or higher.
# Retail: true
ApellaArmorsRestriction = True

# Clan Oath Armors can be equipped only by clan members.
# Retail: true
OathArmorsRestriction = True

# Castle Crown can be equipped only by castle lord.
# Retail: true
CastleLordsCrownRestriction = True

# Castle Circlet can be equipped only by clan members if they own a castle.
# Retail: true
CastleCircletsRestriction = True

#============================================================#
#                        Enchanting                          #
#============================================================#

# This controls the chance an item has to break if it is enchanted.
# This chance is in %, so if you set this to 100%, enchants will always succeed.
# The chances are in the following order: Weapon, Armor, and Jewelry.
# Retail: 66,66,66,66,66,66
EnchantChanceWeapon = 66
EnchantChanceArmor = 66
EnchantChanceJewelry = 66

BlessedEnchantChanceWeapon = 66
BlessedEnchantChanceArmor = 66
BlessedEnchantChanceJewelry = 66

# This is the enchant limit, if set to 0, there will be no limit.
# If this is set to 10, the maximum enchant will be 10.
# The limits are in the following order: Weapon, Armor, and Jewelry.
# Retail: 0, 0, 0
EnchantMaxWeapon = 0
EnchantMaxArmor = 0
EnchantMaxJewelry = 0

# This is the maximum safe enchant, meaning the chance set above will not 
# have an effect on enchants until the enchant # is above the safe enchant
# configured below.
# Example:
#		If EnchantSafeMax is set to for 8 the item will be safely enchanted to 8
# 		regardless of the enchant chance set above.
# 		EnchantSafeMaxFull is for full body armor (upper and lower)
# Note:
#		This should always be greater than 0
# Retail: 3, 4
EnchantSafeMax = 3
EnchantSafeMaxFull = 4

#============================================================#
#                          Karma                             #
#============================================================#

# Karma player can be killed in Peace zone.
# Retail: false
AltKarmaPlayerCanBeKilledInPeaceZone = False

# Karma player can shop. (Double check please)
# Retail: true
AltKarmaPlayerCanShop = True

# Karma player can use escape and recall skills.
# Retail: true
AltKarmaPlayerCanTeleport = True

# Karma player can use GateKeeper.
# Retail: false
AltKarmaPlayerCanUseGK = False

# Karma player can trade.
# Retail: true
AltKarmaPlayerCanTrade = True

# Karma player can use warehouse.
# Retail: true
AltKarmaPlayerCanUseWareHouse = True

#============================================================#
#                          Craft                             #
#============================================================#

# Option to enable or disable crafting.
# Enable -> true, Disable -> false
# Retail: true
CraftingEnabled = True

#Limits for recipes
# Retail: 50, 50
DwarfRecipeLimit = 50
CommonRecipeLimit = 50

# Alternative crafting rules:
# - crafting takes time
# - players get EXP/SP for crafting
# Retail: false
AltGameCreation = False

# Crafting Time multiplier 
# Bigger number ===> slower crafting but more XP/SP
# Retail: 1 
AltGameCreationSpeed = 1

# Additional XP/SP rate multiplier (for increased XP/SP)
# Retail: 1, 1
AltGameCreationRateXp = 1
AltGameCreationRateSp = 1

# If set to False, blacksmiths don't take recipes from players inventory when crafting.
# Retail: true
AltBlacksmithUseRecipes = True

#============================================================#
#                           Clan                             #
#============================================================#

# Number of days you have to wait before :
#   - joining another clan
#   - creating a new clan
# Retail: 1, 1
DaysBeforeJoinAClan = 1
DaysBeforeCreateAClan = 1

# Number of days it takes to dissolve a clan.
# Retail: 7
DaysToPassToDissolveAClan = 7

# Number of days before joining a new alliance when clan voluntarily leave an alliance.
# Retail: 1
DaysBeforeJoinAllyWhenLeaved = 1

# Number of days before joining a new alliance when clan was dismissed from an alliance.
# Retail: 1
DaysBeforeJoinAllyWhenDismissed = 1

# Number of days before accepting a new clan for alliance when clan was dismissed from an alliance.
# Retail: 1
DaysBeforeAcceptNewClanWhenDismissed = 1

# Number of days before creating a new alliance when dissolved an alliance.
# Retail: 1
DaysBeforeCreateNewAllyWhenDissolved = 1

# Maximum number of clans in alliance.
# Retail: 3
AltMaxNumOfClansInAlly = 3

# Number of members needed to request a clan war.
# Retail: 15
AltClanMembersForWar = 15

# All new characters of the same account are newbies, not only first one.
# Retail: true
AltNewCharAlwaysIsNewbie = True

# Clan members can withdraw from the Clan Warehouse.
# Retail: false
AltMembersCanWithdrawFromClanWH = False

#Remove Castle circlets after a clan lose their castle or a player leaves a clan.
# Retail: true
RemoveCastleCirclets = True

#============================================================#
#                          Party                             #
#============================================================#

# This option controls the party range for the L2Attackable.
# Retail: 1600
AltPartyRange = 1600

# This option controls the party range for an L2Party.
# Retail: 1400
AltPartyRange2 = 1400

#============================================================#
#                          Random                            #
#============================================================#

# This is the amount of adena that a new character starts their
# character with.
# Retail: 0
StartingAdena = 0

# This option when set to true will enable automatically picking up
# items. If set false it will force the player to pickup dropped 
# items. (This excludes herbs mentioned above)
# Retail: false
AutoLoot = False

# This is the time in seconds that it will take for the player command:
# //unstuck will take.
# Retail: 300
UnstuckInterval = 300

# After a player teleports, this is the time the player is protected.
# This time is in seconds, leave 0 if you want this feature disabled.
# Retail: 0
PlayerSpawnProtection = 0

# This will allow random re-spawning in towns if enabled,
# based on a maximum random offset from the base re-spawn coordinates.
# Retail: true, 20
RespawnRandomInTown = True
RespawnRandomMaxOffset = 20

# This option is to enable or disable the use of in game petitions.
# The MaxPetitionsPerPlayer is the amount of petitions a player can make.
# The MaximumPendingPetitions is the total amount of petitions in the server.
# Note: 
#		Logically, MaximumPendingPetitions must be higher then MaxPetitionsPerPlayer
# Retail: true, 5, 25
PetitioningAllowed = True
MaxPetitionsPerPlayer = 5
MaxPetitionsPending = 25

# This option is for Freight modes. If true, freights can be withdrawn from any place.
# Also, to change Freight price (in Adena) for each item slot in freight.
# Note:
#		AltGameFreightPrice WILL NOT change the value shown to the player, but the
# 		player will actually get charged for the value set in here.
# Retail: true, 1000
AltGameFreights = True
AltGameFreightPrice = 1000

# Free teleporting around the world.
# Retail: false
AltFreeTeleporting = False

# Allow character to recommend same person more then once per day
# Retail: false
AltRecommend = False

# Allow character deletion after days set below.
# To disallow character deletion, set this equal to 0.
# Retail: 7
DeleteCharAfterDays = 7

# Alternative Xp/Sp rewards, if not 0, then calculated as 2^((mob.level-player.level) / coef),
# coef are the 2 numbers set below.
# A few examples for "AltGameExponentXp = 5." and "AltGameExponentSp = 3."
# diff = 0 (player and mob has the same level), XP bonus rate = 1, SP bonus rate = 1
# diff = 3 (mob is 3 levels above), XP bonus rate = 1.52, SP bonus rate = 2
# diff = 5 (mob is 5 levels above), XP bonus rate = 2, SP bonus rate = 3.17
# diff = -8 (mob is 8 levels below), XP bonus rate = 0.4, SP bonus rate = 0.16
# Retail: 0, 0
AltGameExponentXp = 0
AltGameExponentSp = 0

# PARTY XP DISTRIBUTION
# Set the first option here to one of the (auto, percentage, level, none).
# With "auto method" member is cut from Exp/SP distribution when his share is lower
# then party bonus acquired for him (30% for 2 member party)
# In that case he will not receive any Exp/SP from party and is not counted for party bonus
# The second option takes effect when "percentage" method is choosen. Don't use high values for this!
# The third option takes effect when "level" method is choosen. Don't use low values for this!
# If you don't want to have a cutoff point for party members' XP distribution,
# then just set the first option to "none". Defaults are: percentage , 3.0 , 30 ; respectively.
# Retail: auto, 3.0, 30
PartyXpCutoffMethod = auto
PartyXpCutoffPercent = 3.0
PartyXpCutoffLevel = 30
